Difference between revisions of "Draft Line/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
Line 14: Line 14:
  
 
==Options==
 
==Options==
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after the first point to constrain the second point on the given axis.
+
* Appuyez sur {{KEY|X}}, {{KEY|Y}} ou {{KEY|Z}} après le premier point pour contraindre le second point le long d'un axe.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
+
* Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur {{KEY|​​ENTRÉE}} entre chaque saisie de X, Y et Z.
* Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
+
* Appuyez sur {{KEY|R}} ou cliquez sur la case {{KEY|'''Relatif'''}} pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
+
* Appuyez sur {{KEY|T}} ou cliquez sur la case {{KEY|'''Continuer'''}} pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
+
* Appuyez sur {{KEY|CTRL}} pendant que l'outil est actif pour forcer l'[[Draft_Snap/fr|accrochage]] du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
+
* Appuyez sur {{KEY|MAJ}} pendant que l'outil est actif pour [[Draft_Constrain/fr|contraindre]] le second point horizontalement ou verticalement en relation au point précédent.
* Press {{KEY|CTRL}}+{{KEY|Z}} or press the {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine|Undo]]'''}} button to undo the last point.
+
* Appuyez sur {{KEY|CTRL}} + {{KEY|Z}} ou sur le bouton {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine/fr|Annuler]]'''}} pour annuler le point précédent.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
+
* Appuyez sur {{KEY|ESC}} pour annuler l'opération.
* If several connected [[Draft Line|Draft Lines]] are selected they can be transformed into a wire by pressing the '''Draft Upgrade''' Button.
+
* La ligne nouvellement créée, adopte le [[Draft_Linestyle/fr|style de ligne]] actif.
  
 
==Propriétés==
 
==Propriétés==

Revision as of 20:22, 21 August 2016

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
-
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points.

Draft Line example.jpg

Utilisation

  1. Cliquez sur le bouton Draft Line.png Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accrochage du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pour contraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL + Z ou sur le bouton Draft UndoLine.png Annuler pour annuler le point précédent.
  • Appuyez sur ESC pour annuler l'opération.
  • La ligne nouvellement créée, adopte le style de ligne actif.

Propriétés

  • DataStart: Le point de départ
  • DataEnd: Le point final
  • DataSubdivisions: Divise la ligne en x lignes, donnez le nombre de coupures introduced in version 0.16

Script

L'outil ligne peut être utilisé par la macros de la console Python en utilisant la fonction suivante :

makeLine (Vector, Vector)
  • Crée une ligne entre les deux vecteurs donnés. La ligne créée aura la largeur et la couleur courante.
  • Renvoie l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎